version: "3.8"
services:
  os_node:
    image: "opensearchproject/opensearch:2.9.0"
    ports:
     - "9200:9200"
    environment:
      - "discovery.type=single-node"
      - "DISABLE_SECURITY_PLUGIN=true"
      - "DISABLE_SECURITYDASHBOARDS_PLUGIN=true"
      - "OPENSEARCH_JAVA_OPTS=-Xms512m -Xmx512m"
    volumes:
      - osdata01:/usr/share/opensearch/data
    networks:
      - opensearch_local
  os_dashboard:
    image: "opensearchproject/opensearch-dashboards:2.9.0"
    ports:
      - "5601:5601"
    environment:
      - "OPENSEARCH_HOSTS=[\"http://os_node:9200\"]"
      - "DISABLE_SECURITY_DASHBOARDS_PLUGIN=true"
    networks:
      - opensearch_local
volumes:
  osdata01:
networks:
  opensearch_local:
    driver: bridge
